Subject: Re: [PSAMP] WG Last call for draft-ietf-psamp-info-07

From: kobayashi atsushi <[email-masked]>
Date: Sun, 25 Nov 2007 10:07:45 +0900

Dear all,

I have reviewed the PSAMP information model draft. Sorry for late reply.
I listed up some my comments, as follows.

--- Section 8.2.13-17:

      If insufficient octets are available for the length specified in
      the Template, the Information Element MUST NOT be padded.

Even if these section elements are variable length type, why do we need
to consider the padding? If this description means note about using as
fixed length type, I hope additional explanation.

--- Section 8.2.15:
On the Collector side, I wonder how to recognize frame type of
dataLinkFrameSection. In particular, it needs to recognize PPP and
EtherFrame.

--- Section 8.2.33:

      This Information Element contains a boolean value which is TRUE if
      the output from this hash Selector has been configured to be
      included in the packet report as a packet digest, else FALSE.

I understood it as follows.
If the value of "hashDigestOutput" is "TRUE", the Selector adds in 
its "digestHashValue" in exporting packet report.

If I didn't misread it, I cannot image the situation on using "FALSE".
PSAMP Protocol says that "hashDigestOutput" of each Sector MUST be
included in the packet report.

psamp-protocol section 6.4.1:
   If there is more than one digest function then each hash
   value MUST be included in the same order as they appear in the
   selection sequence.  If there are no digest functions in the
   selection sequence no element for the digest needs to be sent.

--- Section 8.2.27-34:
Other configurable Information Elements include the description as a
example in a similar way.

      For example, this Information Element may used to describe the
      configuration of a Hash based Filtering. 

Best Regards,
Atsushi KOBAYASHI

On Mon, 22 Oct 2007 17:14:44 +0900
Juergen Quittek <[email-masked]> wrote:

> Dear all,
> 
> The WGLC on this document lasts until the end of this week.
> 
> However, I will not close the call without knowing of at least
> three solid reviews from non-authors.
> 
> Please have a look at it and tell us what you think.
> 
> Thanks,
> 
>     Juergen
> 
> 
> On 12.10.2007 12:56 Uhr  "Juergen Quittek" <[email-masked]> wrote:
> 
> > Dear all,
> > 
> > A new revision of the PSAMP information model has been posted today.
> > Already the previous version was pretty stable.  For the new version
> > the authors have applied only minor fixes.
> > 
> > Now it's time for working group last call on this document.
> > 
> > Please read the draft and send us your comments to this list.
> > Please also send a message if you have read the draft and are fine
> > with it.
> > 
> > WG last call starts today and will end on Friday, October 26.
> > 
> > Thanks,
> > 
> >     Juergen
> > 
> > 
> > --On 12.10.07 05:00 -0400 [email-masked] wrote:
> > 
> >> A New Internet-Draft is available from the on-line Internet-Drafts
> >> directories.
> >> This draft is a work item of the Packet Sampling Working Group of the IETF.
> >> 
> >> 
> >> Title           : Information Model for Packet Sampling Exports
> >> Author(s)       : T. Dietz, et al.
> >> Filename        : draft-ietf-psamp-info-07.txt
> >> Pages           : 48
> >> Date            : 2007-10-12
> >> 
> >> This memo defines an information model for the Packet Sampling
> >> (PSAMP) protocol.  It is used by the PSAMP protocol for encoding
> >> sampled packet data and information related to the sampling process.
> >> As the PSAMP protocol is based on the IPFIX protocol, this
> >> information model is an extension to the IPFIX information
> >> model.Conventions used in this document
> >> 
> >> The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
> >> "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
> >> document are to be interpreted as described in RFC 2119 [RFC2119].
> >> 
> >> A URL for this Internet-Draft is:
> >> http://www.ietf.org/internet-drafts/draft-ietf-psamp-info-07.txt
> >> 
> >> To remove yourself from the I-D Announcement list, send a message to
> >> [email-masked] with the word unsubscribe in the body of
> >> the message.
> >> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> >> to change your subscription settings.
> >> 
> >> Internet-Drafts are also available by anonymous FTP. Login with the
> >> username "anonymous" and a password of your e-mail address. After
> >> logging in, type "cd internet-drafts" and then
> >> "get draft-ietf-psamp-info-07.txt".
> >> 
> >> A list of Internet-Drafts directories can be found in
> >> http://www.ietf.org/shadow.html
> >> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >> 
> >> Internet-Drafts can also be obtained by e-mail.
> >> 
> >> Send a message to:
> >> [email-masked].
> >> In the body type:
> >> "FILE /internet-drafts/draft-ietf-psamp-info-07.txt".
> >> 
> >> NOTE:   The mail server at ietf.org can return the document in
> >> MIME-encoded form by using the "mpack" utility.  To use this
> >> feature, insert the command "ENCODING mime" before the "FILE"
> >> command.  To decode the response(s), you will need "munpack" or
> >> a MIME-compliant mail reader.  Different MIME-compliant mail readers
> >> exhibit different behavior, especially when dealing with
> >> "multipart" MIME messages (i.e. documents which have been split
> >> up into multiple messages), so check your local documentation on
> >> how to manipulate these messages.
> >> 
> >> Below is the data which will enable a MIME compliant mail reader
> >> implementation to automatically retrieve the ASCII version of the
> >> Internet-Draft.
> > 
> > 
> 
> 
> _______________________________________________
> PSAMP mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/psamp
> 

--- 
Atsushi KOBAYASHI  <[email-masked]>
NTT Information Sharing Platform Lab.
tel:+81-(0)422-59-3978 fax:+81-(0)422-59-5637

_______________________________________________
PSAMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/psamp